dPanel = {panels = {}, plugins = {}, pluginNames = {}}

-- improt data broker or bail if not found
local ldb =  LibStub:GetLibrary("LibDataBroker-1.1")
local jostle = LibStub:GetLibrary("LibJostle-3.0", true)
local db

local debugFrame = tekDebug and tekDebug:GetFrame:("dPanel")
local function Debug(...)
			if debugFrame
			then debugFrame:AddMessage(string.join(", ", tostringall(...)))
			end
end

local eventFrame = CreateFrame ("Frame", "dPanelEventFrame", UIParent)
eventFrame:RegisterEvent("ADDON_LOADED")
eventFrame:SetScript("OnEvent", function(self, event, arg1, ...)
	if arg1 ==